<?php
# Program:      deletep.php
# Programmer:   Alicia Strupp 
# Call:         deletep.php receiving new user, calls deletepet.php
# Description:	Allows the administrator delete current pets. 
# Revisions:
#  3.15.2002    Created   

require( "commonDB.php" );
require( "functions.php" );


# Start our web page and connect to the database.
beginHTMLPage() or die( "Function beginHTMLPage error" );
connectToDB() or die( "Function connectToDB error" );

# Get the userID and make sure this is a valid session.
if( empty($sessionNum) ) {
  die( "Error Detected: Empty sessionNum on entry to main.php." );
} 
else {
  $userNum = validateSession( $sessionNum, $YSP ) 
          or die( "Function validateSession error\n" );
}

require("createSessionView.php" );

#Check to make sure that only administrators are accessing this site.  
if (!($type == 'a')){
	die ("This is a restricted area, only administrators are allowed to delete pets!");
}

print "<font size='3' face='Verdana, Arial, Helvetica, sans-serif'>Are you sure you want to delete this pet? </font><br>";

#Shows information before confirming deletion
$q = "Select petID, name, species, breed, gender, age,  description, fixed from {$YSP}description where petID = '$petID'";
$qResult = MYSQL_QUERY( $q ) or die( MYSQL_ERROR() ); 
print "<table border =1 width = 100% bgcolor='#E1E1E1' bordercolor='#FFFFFF'>";print "<tr><td><p><b>PET ID<td><b>NAME<td><b>SPECIES<td><b>BREED<td><b>GENDER<td><b>AGE<td><b>DESCRIPTION<td><b>FIXED</b><td>";    
print "</tr>";
$qRow = MYSQL_FETCH_ARRAY( $qResult );    
print "<tr><td><p>$qRow[petID]<td>$qRow[name]<td>$qRow[species]<td>$qRow[breed]<td>$qRow[gender]<td>$qRow[age]<td>$qRow[description]<td>$qRow[fixed]<td>";    
print "</table>";

#Click the "YEs" button to confirm deletion
print "<form name='form1' method='post' action=deletepet.php?sessionNum=$sessionNum&petID=$qRow[petID]><input type='submit' name='Yes' value='Yes'></form>";

print "<br><br>If not, <a href = main.php?sessionNum=$sessionNum>Return To site</a>";
