<?php
# Program:      editpet.php
# Programmer:   Alicia Strupp
# Call:         editpet.php allows the editing of existing pets
# Description:	Allows the administrator edit current users. 
# Revisions:
#  3.20.2002    Created            

require( "commonDB.php" );
require( "functions.php" );


# Start our web page and connect to the database.
beginHTMLPage() or die( "Function beginHTMLPage error" );
connectToDB() or die( "Function connectToDB error" );

# Get the userID  (called user here to not confuse form item ) and make sure this is a valid session.
if( empty($sessionNum) ) {
  die( "Error Detected: Empty sessionNum on entry to main.php." );
} 
else {
  $user = validateSession( $sessionNum, $YSP ) 
          or die( "Function validateSession error\n" );
}

require("createSessionView.php" );

print "<center><a href= main.php?sessionNum=$sessionNum>Return to site</a></center><br>";

$q = "Select name, species, breed, gender, age,  description, fixed, notes from {$YSP}description where petID = '$petID'";
$qResult = MYSQL_QUERY( $q ) or die( MYSQL_ERROR() ); 
$qRow = MYSQL_FETCH_ARRAY( $qResult );    

?>
<!-- This form is populated through php to reflet the field that the pet already has.  -->
<table border="0" bordercolor="#0000FF" align="center" width="597">

  <tr> 

    <td bordercolor="#0000FF" bgcolor="#E5E5E5"> 

      <p align="left"><font size="5" face="Arial, Helvetica, sans-serif">Edit

        Pet: <?php print $petID ?> <br>

        </font></p>

      <hr>

      <font size="5" face="Arial, Helvetica, sans-serif"> </font>
<form name="addpet" method="post" action="addpet.php">
  <table width="65%" border="0" cellpadding="0" cellspacing="0">
    <tr valign="middle" align="left"> 
      <td colspan="4"><font face="Verdana, Arial, Helvetica, sans-serif" size="3">Name 
        Of Pet 
        <input type="text" name="name" value ="<?php print $qRow[name] ?>" maxlength="25">
        </font></td>
    </tr>
    <tr valign="middle" align="left"> 
      <td colspan="4"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"></font></td>
    </tr>
    <tr valign="middle" align="left"> 
      <td width="17%" nowrap bgcolor="#CCCCCC"><font face="Verdana, Arial, Helvetica, sans-serif" size="3">Species 
        </font></td>
      <td width="17%" nowrap bgcolor="#CCCCCC"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
        <select name="species" size="1">
          <option selected><?php print $qRow[species] ?></option>
          <option value="dog">Dog</option>
          <option value="cat">Cat</option>
          <option value="horse">Horse</option>
          <option value="reptile">Reptile</option>
          <option value="bird">Bird</option>
          <option value="other">Other</option>
        </select>
        </font></td>
      <td colspan="2" nowrap bgcolor="#CCCCCC" width="66%"><font face="Verdana, Arial, Helvetica, sans-serif" size="3">If 
        other, please specify 
        <input type="text" name="other">
        </font></td>
    </tr>
    <tr valign="middle" align="left"> 
      <td width="17%" nowrap bgcolor="#CCCCCC"><font face="Verdana, Arial, Helvetica, sans-serif" size="3">Breed 
        (if known) </font></td>
      <td width="17%" nowrap bgcolor="#CCCCCC"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
        <input type="text" name="breed" value = "<?php print $qRow[breed] ?>" maxlength="25">
        </font></td>
      <td colspan="2" nowrap bgcolor="#CCCCCC" width="66%"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"></font></td>
    </tr>
    <tr valign="middle" align="left"> 
      <td width="17%" nowrap bgcolor="#CCCCCC"><font face="Verdana, Arial, Helvetica, sans-serif" size="3">Gender 
        </font></td>
      <td width="17%" nowrap bgcolor="#CCCCCC"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
        <select name="gender" size="1">
          <option selected><?php print $qRow[gender] ?></option>
          <option value="Male">Male</option>
          <option value="Female">Female</option>
        </select>
        </font></td>
      <td colspan="2" nowrap bgcolor="#CCCCCC" width="66%"><font face="Verdana, Arial, Helvetica, sans-serif" size="3">Has 
        the animal been fixed 
        <select name="fixed" size="1">
          <option selected><?php print $qRow[fixed] ?></option>
          <option value="DNA">Does Not Apply</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select>
        </font></td>
    </tr>
    <tr valign="middle" align="left"> 
      <td width="17%" nowrap bgcolor="#CCCCCC"><font face="Verdana, Arial, Helvetica, sans-serif" size="3">Age 
        </font></td>
      <td width="17%" nowrap bgcolor="#CCCCCC"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
        <input type="text" name="age" value = <?php print $qRow[age] ?> maxlength="2" size="2"><I>years</I>
        </font></td>
      <td colspan="2" nowrap bgcolor="#CCCCCC" width="66%"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"></font></td>
    </tr>
    <tr valign="middle" align="left"> 
      <td colspan="4"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><br>
        List Description to Appear in Description Box <font size="2"><br>
        (Max. 250 Characters)</font><br>
        <textarea name="description" cols="75" rows="5" ><?php print $qRow[description] ?></textarea>
        </font></td>
    </tr>
    <tr valign="middle" align="left"> 
      <td colspan="4"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"></font></td>
    </tr>
    <tr valign="middle" align="left"> 
    </tr>
    <tr valign="middle" align="left"> 
      <td colspan="4"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"><br>
        List Private Notes, if any <font size="2"><br>
        (these will not appear on message board--Max. 250 Characters)</font><br>
        <textarea name="notes" cols="75" rows="5" ><?php print $qRow[notes] ?></textarea>
        </font></td>
    </tr>
    <tr valign="bottom" align="left"> 
            <td colspan="4"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
              Status 
              <select name="status">
                <option value="a" selected>Adoptable</option>
                <option value="d">Adpoted</option>
                <option value="e">Euthanized</option>
              </select>
              </font></td>
    </tr>
    <tr valign="bottom" align="left"> 
      <td colspan="4"> 
        <div align="center"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"><input type="hidden" name="sessionNum" value = <?php print $sessionNum ?> > 
          <input type="hidden" name="petID" value = <?php print $petID ?>><input type="submit" name="Submit" value="Save Changes">
          </font></div>
      </td>
    </tr>
  </table>
  <p>&nbsp;</p>
  </form>
  </td>

  </tr>

</table>

