<?php
# Program:	login.php
# Programmers:	Alicia Strupp and Jeff Schmidt
# Call:	        login.php receiving userNumber, password
# Description:	This script will login a user and transfer them to main.php
# Revisions:
# 02.05.2002	Created file
# 02.12.2002    Modified for assignment 3 -Alicia
# 02.21.2002    Modified for assignment 4 -Jeremy
# 02.25.2002    Modified fo a5 - alicia
require( "commonDB.php" );

function ValidateUser( $userNum, $password, $YSP )
# This function validates that the user trying to login is correct.  It recieves a usernumber, password, and
# table prefix.  It then compares the information to the appropriate information in the table.  If either of
# the information is not correct, the appropriate output messages are sent.
# It returns the user id.
{

  $q = "SELECT firstName, lastName, userNum, password FROM ${YSP}user WHERE userNum = '$userNum'";
  if( !( $qResult = MYSQL_QUERY( $q ) ) )
  {
    print "Internal Error!: ";
    print MYSQL_ERROR();
    return 0;
  }
  if( ($qRow = MYSQL_FETCH_ARRAY( $qResult )) && $password == $qRow['password'] && $password != "" )
  {
    $userNum = $qRow['userNum'];
    return $userNum;
  }
  else
  { 
    print "Invalid student number or password";	
  }
}

function CreateSession( $userNum, $YSP )
#This function creates a new session for the user.  It recieves the user id and the table prefix.
#It creates the session number and then inserts the session information into the session table.
#It returns the session number.
{
  # Next two lines of code borrowed from quiz team's bug fix
  # Generate a random 32 character session id from a 62 character pool
  srand((double)microtime()*1000000);
  $sessionNum = substr(md5(rand(0,9999999)), 0, 32);

  #Insert a new session record
  $q = "INSERT INTO ${YSP}session ( sessionID, userNum, sessionNum, timeStamp ) ";
  $q.= "values ( NULL, '$userNum', '$sessionNum', NULL )";
  MYSQL_QUERY( $q ) || die( MYSQL_ERROR());

  #Insert a new log record
  $q = "INSERT INTO ${YSP}log ( logID, userNum, timeStamp, status ) ";
  $q.= "values ( NULL, '$userNum', NULL, 'i' )";
  MYSQL_QUERY( $q ) || die( "could not insert new log record: $q" );

  return( $sessionNum );
}

$userID = ""; 

connectToDB();
$userNum = ValidateUser( $userNum, $password, $YSP );

$sessionNum = CreateSession( $userNum, $YSP );

if (!($userNum))
	print "<p><a href='p_p2.html'>Click here to try again</a></p>";
else
# Session must be good so start main page and pass our sessionNum to it.
	header("Location:main.php?&sessionNum=$sessionNum" );
?>

