<?php 

# Program Name: testFunc.php 
# Programmer: Alicia Strupp 
# Date: 2002.02.14 
# Purpose: This program tests the function in the functions.php file for assignment 3.
# Revisions:
# 2002.02.26 Update test program for a5

require( "functions.php" );	# functions that we are testing
require( "commonDB.php" );

connectToDB();
$flag = 0;  # debug flag for whole test program

#This is the test for validateSession()
print "Test 1: Validate Session Test: The userId returned should be 1";
print "<br>";

#Insert a new session record
$sessionNum = 111111;
$userName = 1;
$q = "INSERT INTO ${YSP}session ( sessionID, userNum, sessionNum,  timeStamp ) ";
$q.= "values ( NULL, '$userName', '$sessionNum', NULL )";
MYSQL_QUERY( $q ) || die( MYSQL_ERROR() );

#Testing function
$userId = validateSession( $sessionNum, $YSP ); 
print "The user id returned is: '$userId'";

print "<br>";
if ($userId = 1)
	print "PASS";
else{
	print "DOES NOT PASS";
	$flag = 1;
}

print "<br>";

print "Test 2: Validate Session Test: submitting invalid sessionNum - should session expired message <br>";
$sessionNum = 1234567;
$userId = validateSession( $sessionNum, $YSP );
print "<br>";
if (!($userId))
	print "PASS";
else{
	print "DOES NOT PASS";
	$flag = 1;
}

print "<br>";
print "<hr>"; 


#This is the test for insertMessage()
print "Test 3: insertMessage()<br>";
print "This test sends a fake user and message, if the message is recieved correctly";
print "it can then be retrieved from the message table.  The message recieved should be in ";
print "the box below. The message should be 'Hello World'.";
$message = "Hello World";
$userNum= 99;
insertMessage( $userNum, $message, $YSP );

$q = "SELECT description FROM ${YSP}description WHERE userNum = '$userNum'";
$qResult = MYSQL_QUERY( $q );
$qRow = MYSQL_FETCH_ARRAY( $qResult );
$message = $qRow['description'];
print "<table border = 1 width = 10%><tr><td>";
print $message;
print "</table>";
if ($message = "Hello World")
	print "PASS";
else{
	print "DOES NOT PASS";
	$flag = 1;
}

print "<br>";
print "<hr>";

#This is the displayMessageTable() test
print "Test 4: displayMessageTable() test.  This should print out 2 tables<br>";
$q = "SELECT u.userNum, lastName, firstName, p.petID, description FROM  ${YSP}description p,  ${YSP}user u  where p.userNum = u.userNum order by petId DESC LIMIT 2";
print "There should be 2 messages listed below, both without a delete option.";
displayMessageTable($q);
print "<br>";
if ($q)
	print "PASS";
else{
	print "DOES NOT PASS";
	$flag = 1;
}

print "<hr>";

#This is the displayMessageTableAdmin() test
print "Test 4: displayMessageTableAdmin() test.  This should print out 2 tables<br>";
 $q = "SELECT petID, name, species, breed, gender, age,  description, fixed, status, notes FROM ${YSP}description where status = 'a' LIMIT 2";
print "There should be 2 messages listed below with a delete option in the righmost column of the table.";
$sessionNum = "3l58ywltnlw8thshog38phsg38";
displayMessageTableAdmin($q, $sessionNum);
print "<br>";
if ($q)
	print "PASS";
else{
	print "DOES NOT PASS";
	$flag = 1;
}

print "<hr>";

#This is the function displayPostMessageForm( $sessionNum ) test
print "Test 6: This test should call the displayPostMessageForm Function.";
print "Below this should appear the form for posting";
$sessionNum = 11111111;
displayPostMessageForm($sessionNum);
print "<hr>";

#This is the function beginHTMLPage() test
print "Test 7: This test should call the beginHTMLPage() Function.";
print "  The title should have changed to Pet Adoption";
beginHTMLPage();
print "<hr>";

#This is the function endHTMLPage() test
print "Test 8: This test should call the endHTMLPage() Function.";
print "If you view the source code, the HTML should have been ended";
endHTMLPage();
print "<hr>";

if ($flag == 0)
	print "CONCLUSION: The functions program has passed completely";
else
	print "CONCLUSION: There were errors in one or more functions";
