<?php
# Program:      emptylog.php
# Programmer:   Alicia Strupp and Jeff Schmidt
# Call:         emptylog.php empties the user log
# Description:	Allows the administrator to empty the log file. 
# Revisions:
#  3.13.2002    Created    

require( "commonDB.php" );
require( "functions.php" );

beginHTMLPage() or die( "Function beginHTMLPage error" );
connectToDB() or die( "Function connectToDB error" );

# Get the userID and make sure this is a valid session.
if( empty($sessionNum) ) {
  die( "Error Detected: Empty sessionNum on entry to main.php." );
} 
else {
  $userNum = validateSession( $sessionNum, $YSP ) 
          or die( "Function validateSession error\n" );
}

require("createSessionView.php" );
if (!($type == 'a'))
  die ("This is a restricted site, only administrators can empty the log file");

#Delete all the log files
$q = "DELETE FROM {$YSP}log";
MYSQL_QUERY( $q ) || die( MYSQL_ERROR() ); 

print "The log file has been emptied.<br>";
print "<a href= main.php?sessionNum=$sessionNum>Return to site</a>"; 
