<?php
# Program:      functions.php
# Programmer:   Alicia Strupp (most functions adapted from John Phillips)
# Call:         functions.php
# Description:	Functions for a discussion board program
# Revisions:
# 02.06.2002	Created file
# 02.24.2002    updated for assignment 4 -Jeremy
# 02.26.2002	update for a5 - alicia
# 03.19.2002    update for phase 1

# If the sessionNum is valid then return the userID otherwise return a 0
function validateSession( $sessionNum, $YSP )
{
  $userID = "";

  # clear out old sessions
  $q = "DELETE FROM  ${YSP}session WHERE timeStamp < '";
  $q.= date("Y-m-d H:i:s", (time()-14400));
  $q.= "'";
  MYSQL_QUERY( $q ) || print "could not delete sessions: $q";

  # look for the session
  $q = "SELECT userNum FROM ${YSP}session WHERE sessionNum = '$sessionNum'";
  $qResult = MYSQL_QUERY( $q );

  if( MYSQL_NUM_ROWS( $qResult ) )
  {
    $qRow = MYSQL_FETCH_ARRAY( $qResult );
    $userNum = $qRow['userNum'];
   
    # found it so now update the timestamp
    $q = "UPDATE  ${YSP}session SET timeStamp = NULL WHERE sessionNum = '$sessionNum'";
    $qResult = MYSQL_QUERY( $q ) || print "bad session update: $q";
    return( $userNum );
  }
  print 'Session has expired: <a href="index.php">Relogin</a>';  
} 

# Insert a new message into the database table and return a 1
function insertMessage( $userNum, $description, $YSP ) { 
 $q = "INSERT INTO ${YSP}description (petID, userNum, description) VALUES (NULL, '$userNum', '$description')"; 
  MYSQL_QUERY( $q ) or die( "could not insert: $q" ); 
  return 1; 
} 

# Display the description specified by the query $q
# Only displays information that normal users have access to.  
function displayMessageTable($q)
{
  $qResult = MYSQL_QUERY( $q ) or die( MYSQL_ERROR() ); 

  while( $qRow = MYSQL_FETCH_ARRAY( $qResult ) )
  {
    
    print "<table><tr ><td width = 20%  valign = top>"; 
    print "<img src = pics/$qRow[petID].jpg width = 150 height = 175 border = 1></td><td valign = top><table><tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'><b>&nbsp; Pet Id: $qRow[petID]</b></td></tr>";
    print "<tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp; Name: $qRow[name]</td></tr>";    
    print "<tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp; Species: $qRow[species]</td></tr>";
    print "<tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp; Breed: $qRow[breed]</td></tr>";
    print "<tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp; Gender: $qRow[gender]</td></tr>";
    print "<tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp; Fixed: $qRow[fixed]</td></tr>";
    print "<tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp; Age: $qRow[age]</td></tr>";
    print "<tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp; $qRow[description] </td></tr></table></table><br>";
 
    print '</form>';
  }

  return 1;
}

# Display the description specified by the query $q
# Displays all the information that administrative users have access to.
function displayMessageTableAdmin($q, $sessionNum)
{
  $qResult = MYSQL_QUERY( $q ) or die( MYSQL_ERROR() ); 

  while( $qRow = MYSQL_FETCH_ARRAY( $qResult ) )
  {        
    print "<table><tr bgcolor = d8d8d8><td colspan = 2 >";
    print '<form method="post" name="delete">'; 
    
    #These are options built into each pet description
    print "<font face='Verdana, Arial, Helvetica, sans-serif' size='2'> [<a href=status.php?sessionNum=$sessionNum&petID=$qRow[petID]&status=d>Adopted</a>] [<a href=status.php?sessionNum=$sessionNum&petID=$qRow[petID]&status=e>Euthanized</a>]";
    print "<font face='Verdana, Arial, Helvetica, sans-serif' size='2'> [<a href=addpic.php?sessionNum=$sessionNum&petID=$qRow[petID]>Edit Picture</a>] [<a href=editpet.php?sessionNum=$sessionNum&petID=$qRow[petID]>Edit</a>]</td></tr>";

    print "<tr><td valign = top><img src = pics/$qRow[petID].jpg width = 150 height = 175 border = 1></td><td valign = top><table><tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;<b>Pet Id: $qRow[petID]</b></td></tr>";
    print "<tr><td align = left valign = top><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;Name: $qRow[name]</td></tr>";    
    print "<tr><td align = left valign = top><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;Species: $qRow[species]</td></tr>";
    print "<tr><td align = left valign = top><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;Breed: $qRow[breed]</td></tr>";
    print "<tr><td align = left valign = top><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;Gender: $qRow[gender]</td></tr>";
    print "<tr><td align = left valign = top><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;Fixed: $qRow[fixed]</td></tr>";
    print "<tr><td align = left valign = top><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;Age: $qRow[age]</td></tr>";
    print "<tr><td align = left valign = top><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;$qRow[description] </td></tr>";
    print "<tr><td><font face='Verdana, Arial, Helvetica, sans-serif' size='2'>&nbsp;Notes: $qRow[notes]</td></tr></table></table><br>";
    print '</form>';
  }

  return 1;
}

# Display a form that the user can enter a new message into and return a 1
function displayPostMessageForm( $sessionNum ) { 
  print '<p>'; 
  print '<form method="post" name="postMessage">'; 
    print '<textarea name="description" cols="55" rows="6" wrap="PHYSICAL"></textarea>'; 
    print '<p><input type="submit" name="post" value="Post Message">'; 
    print '<input type="hidden" name="sessionNum" value="'. $sessionNum . '">' . "\n"; 
  print '</form>'; 

  return 1;
}

# Send the HTML codes to start a new web page and return a 1
function beginHTMLPage()
{
  ?>
  <html>
  <head>
  <title>Pet Adoption</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  </head>
  <body bgcolor="#FFFFFF" link="0000ee" vlink="0000ee">
  <?php

  return 1;
} 

# Send the HTML codes to end a web page and return a 1
function endHTMLPage()
{
  ?>
  </body>
  </html>
  <?php

  return 1;
}


# Allow user to see more results by pressing next 
function footerNext($temp, $first, $last, $sessionNum, $petNum, $count)
{
  if (!( $petNum >= $count ))
  {
    print "<a href = main.php?sessionNum=$sessionNum&last=$last&first=$first> Next </a>";
  }
  return 1;
}

# Allow user to see last results by pressing  back
function footerBack($temp, $first, $last, $sessionNum, $petNum, $count)
{
    $last = $temp - 1;
    print "<a href = main.php?sessionNum=$sessionNum&last=$last&first=$first> Back </a>&nbsp";
    return 1;
}

# Get the last pet id shown
function getLast($q)
{
  $qResult = MYSQL_QUERY( $q ) or die( MYSQL_ERROR() ); 

  while( $qRow = MYSQL_FETCH_ARRAY( $qResult ) )
  {  
    $last = $qRow[petID];
  }
 
  return $last;
}

# Get the first pet id shown
function getFirst($q)
{
  $qResult = MYSQL_QUERY( $q ) or die( MYSQL_ERROR() ); 

  $qRow = MYSQL_FETCH_ARRAY( $qResult );
  $first = $qRow[petID];
 
  return $first;
}

# Gets the  number of adoptable pets
function getCount($q2)
{
  $qResult = MYSQL_QUERY( $q2 ) or die( MYSQL_ERROR() );
  $numRows = mysql_num_rows($qResult); 
  return $numRows;
}
?>

