<?php
# Program:      p_p1.php
# Programmer:   Alicia Strupp
# Call:         p_p1.php this is the default index page
# Description:	The main section of a discussion board program
#               This is a very plain page without many user options, users must
#               login to access any special tools.
# Revisions:
# 03.20.2002	Created file


require( "commonDB.php" );
require( "functions.php" );


# Start our web page and connect to the database.
beginHTMLPage() or die( "Function beginHTMLPage error" );
connectToDB() or die( "Function connectToDB error" );

print "<p><table border = '0' bgcolor =D8D8D8 width = '90%'><tr><td align = left><font face='Verdana, Arial, Helvetica, sans-serif' size='4'>Pet Adoption Software<td align = right><a href = 'p_p1.html'>Login</a></table><br><br>";

# If a description was posted then insert it into the database.
if( !empty( $description ) ) { 
  insertMessage( $userNum, $description, $YSP ) 
  or die( "Function insertMessage error\n" );
}

# Display up to 5 of the latest messages in a table on the web page.
$q = "SELECT u.userNum, firstName, lastName, email, type, p.petID, name, species, breed, gender, age,  description, photo, fixed FROM ${YSP}description p,  ${YSP}user u  where p.userNum = u.userNum ORDER BY petID DESC LIMIT 5"; 

#displays the pets up for adoption
displayMessageTable($q) or die( "Function displayMessageTable error\n" );

# Write out the end of the web page.
endHTMLPage() or die( "Function endHTMLPage error\n" );

