<?php
# Program:      viewlog.php
# Programmer:   Alicia Strupp
# Call:         viewlog.php is called by the main program if the user is an administrator
# Description:	Allows the administrator to view the log file. 
# Revisions:
#  3.13.2002    Created            

require( "commonDB.php" );
require( "functions.php" );


beginHTMLPage() or die( "Function beginHTMLPage error" );
connectToDB() or die( "Function connectToDB error" );

# Get the userID and make sure this is a valid session.
if( empty($sessionNum) ) {
  die( "Error Detected: Empty sessionNum on entry to main.php." );
} 
else {
  $userNum = validateSession( $sessionNum, $YSP ) 
          or die( "Function validateSession error\n" );
}

require("createSessionView.php" );

#Make sure the user is an administrator
if ($type =='a'){
  
  # Displays all the logs in a table format
  print "<center><a href= main.php?sessionNum=$sessionNum>Return to site</a></center><br>";
  print '<table width = 75% border = 0 align=center><tr><td><font size="5" face="Verdana, Arial, Helvetica, sans-serif">Pet Adoptions Software Log</font><br></td>';
  print "<td align = right><a href = emptylog.php?sessionNum=$sessionNum>Empty Log</a><td></table><br>";
  $q = "Select logID, userNum, timeStamp, status from {$YSP}log";
  $qResult = MYSQL_QUERY( $q ) or die( MYSQL_ERROR() ); 

  print "<table border =1 width = 75% bgcolor='#E1E1E1' bordercolor='#FFFFFF' align = center>";
  print "<tr><td><p><b>LOG ID<td><b>USER NAME<td><b>TIME STAMP<td><b>STATUS</b>";
  print "</tr>";
  while( $qRow = MYSQL_FETCH_ARRAY( $qResult ) )
  {   
    print "<tr><td><p>$qRow[logID]<td>$qRow[userNum]<td>";
    #  Prof. John Phillips' SQL Timestamp regular expression from his commonDB file on CNB 
    $time = ereg_replace( "([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})", " \\1-\\2-\\3 \\4:\\5:\\6", $qRow[timeStamp] );
    print "$time";
    print "<td>$qRow[status]";
    print '</tr>';
  }
}else
  print "You are not authorized to view the log page!";
?>  


