<?php
# Program:      viewuser.php
# Programmer:   Alicia Strupp and Jeff Schmidt
# Call:         viewuser.php receiving new user
# Description:	Allows the administrator to view current users. 
# Revisions:
#  3.12.2002    Created            

require( "commonDB.php" );
require( "functions.php" );beginHTMLPage() or die( "Function beginHTMLPage error" );
connectToDB() or die( "Function connectToDB error" );

# Get the userID and make sure this is a valid session.
if( empty($sessionNum) ) {
  die( "Error Detected: Empty sessionNum on entry to main.php." );
} 
else {
  $userNum = validateSession( $sessionNum, $YSP ) 
          or die( "Function validateSession error\n" );
}

require("createSessionView.php" );

#checking to make sure the user is an administrator
if ($type == 'a'){
  $sortby = 0;
  $searchby = 0;
  $valueby = "";
  print "<center><a href= main.php?sessionNum=$sessionNum>Return to site</a></center><br>";
  print '<font size="5" face="Verdana, Arial, Helvetica, sans-serif">Pet Adoptions Software Users</font><br>';
  print "<p><a href=adduser.html?sessionNum=$sessionNum>Add New User</a></p>";

  # letting options php file know it is working with the user board
  $board = "user";
  require("options.php");

  #specify how the information is to be shown
  if (!($sortby == "" && $sortby == 0 )){
    print "<I>sortying by $sortby</I>";	
    $q = "Select userID, firstName, lastName, userNum, password, phone, email, street, city, state, zip, type from {$YSP}user ORDER BY $sortby";
  }
  elseif (!($searchby == 0 && $valueby == "")){
    print "<I>searching for $valueby</I>";
    $q = "Select userID, firstName, lastName, userNum, password, phone, email, street, city, state, zip, type from {$YSP}user WHERE (`{$YSP}user`.`$searchby` LIKE '%$valueby%')";
  }
  else {
    print "<I>normal sort</I>";
    $q = "Select userID, firstName, lastName, userNum, password, phone, email, street, city, state, zip, type from {$YSP}user";
  }
  
  # display information in a table format
  $qResult = MYSQL_QUERY( $q ) or die( MYSQL_ERROR() ); 
  $numRows = mysql_num_rows($qResult); 
  print "<table border =1 width = 100% bgcolor='#E1E1E1' bordercolor='#FFFFFF'>";print "<tr><td><p><b>USER ID<td><b>FIRST NAME<td><b>LAST NAME<td><b>USER NAME<td><b>PASSWORD<td><b>PHONE<td><b>EMAIL<td><b>STREET<td><b>CITY<td><b>STATE<td><b>ZIP<td><b>USER TYPE</b><td>";    
  print "</tr>";
  if( $numRows == 0 ) {
	print "No results found!";
  }
  while( $qRow = MYSQL_FETCH_ARRAY( $qResult ) )    
  {       
    $userID = $qRow[userID];
    print "<tr><td><p>$qRow[userID]<td>$qRow[firstName]<td>$qRow[lastName]<td>$qRow[userNum]<td>$qRow[password]<td>$qRow[phone]<td>$qRow[email]<td>$qRow[street]<td>$qRow[city]<td>$qRow[state]<td>$qRow[zip]<td>$qRow[type]<td>";    
    print "<td>[<a href=edituser.php?sessionNum=$sessionNum&userID=$qRow[userID]>EDIT</a>]<td>[<a href=delete.php?sessionNum=$sessionNum&userID=$qRow[userID]>DELETE</a>]</tr>";
  }

  # print $userID;
}else
  print "Only administrators can view and modify users!";
?>      
